Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 323927 - media-libs/libvpx - --enable-shared only supported on ELF for now
Summary: media-libs/libvpx - --enable-shared only supported on ELF for now
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 323727 360427
  Show dependency tree
 
Reported: 2010-06-14 11:41 UTC by Jeroen Roovers
Modified: 2011-07-07 02:59 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2010-06-14 11:41:49 UTC
The list of arch-vendor-kernel-userland combinations in the configure script is incomplete (and probably unnecessary). I suggest LARTing upstream vigorously.

This is after some corrections to solve bug #323815:

 * CPV:  media-libs/libvpx-0.9.0_p20100612
 * REPO: gentoo
 * USE:  elibc_glibc hppa kernel_linux test threads userland_GNU
>>> Unpacking source...
>>> Unpacking libvpx-0.9.0_p20100612.tar.bz2 to /mnt/alt/portage/media-libs/libvpx-0.9.0_p20100612/work
>>> Source unpacked in /mnt/alt/portage/media-libs/libvpx-0.9.0_p20100612/work
>>> Preparing source in /mnt/alt/portage/media-libs/libvpx-0.9.0_p20100612/work/libvpx-0.9.0_p20100612 ...
`configure' -> `configure.orig'
>>> Source prepared.
>>> Configuring source in /mnt/alt/portage/media-libs/libvpx-0.9.0_p20100612/work/libvpx-0.9.0_p20100612 ...
Configuring selected codecs
  enabling vp8_encoder
  enabling vp8_decoder
Configuring for target 'generic-gnu'
  enabling generic
--enable-shared only supported on ELF for now

Configuration failed. This could reflect a misconfiguration of your
toolchains, improper options selected, or another problem. If you
don't see any useful error messages above, the next step is to look
at the configure error log file (config.err) to determine what
configure was trying to do when it died.
 * ERROR: media-libs/libvpx-0.9.0_p20100612 failed:
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line  54:  Called src_configure
 *   environment, line 898:  Called die
 * The specific snippet of code:
 *       ./configure --prefix=/usr --libdir=/usr/$(get_libdir) --enable-pic --enable-vp8 --enable-shared $(use_enable altivec) $(use_enable mmx) $(use_enable sse) $(use_enable sse2) $(use_enable sse3) $(use_enable ssse3) $(use_enable debug) $(use_enable debug debug-libs) $(use_enable doc install-docs) $(use_enable postproc) $(use_enable threads multithread) || die
 * 
 * If you need support, post the output of 'emerge --info =media-libs/libvpx-0.9.0_p20100612',
 * the complete build log and the output of 'emerge -pqv =media-libs/libvpx-0.9.0_p20100612'.
 * The complete build log is located at '/keeps/gentoo/emergelogs/elmer/media-libs:libvpx-0.9.0_p20100612:20100613-172323.log'.
 * The ebuild environment file is located at '/mnt/alt/portage/media-libs/libvpx-0.9.0_p20100612/temp/environment'.
 * S: '/mnt/alt/portage/media-libs/libvpx-0.9.0_p20100612/work/libvpx-0.9.0_p20100612'
Comment 1 Fabian Köster 2011-03-10 11:26:49 UTC
This problem is fixed for me with version libvpx-0.9.5-r1 on arm, see bug #351496.
Comment 2 Alexis Ballier gentoo-dev 2011-07-07 02:59:33 UTC
should be fixed in 0.9.6 and above afaik